GET
/api/v1/lookups
curl \
--request GET 'https://api.plannrcrm.com/api/v1/lookups' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "99f38d9b-de39-4b14-811c-f2ec7a7e75fe",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"type": "provider_statement_mapping",
"lookupable_type": "provider",
"lookupable_uuid": "b8f015cd-009c-4c9d-b873-24bcd87ad00a",
"lookupable_value": "J Bloggs Plan",
"lookup_value": "zAbWeFVJ:Bloggs J",
"returnable_type": "plan",
"returnable_uuid": "ea006baa-9caf-4594-8e4f-3eaee9d7c1c0",
"returnable_value": "example",
"return_string": "Consectetur officia labore",
"return_json": {
"key_1": "value_1",
"key_2": "value_2"
},
"return_float": 70.35
}
]
}